> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete transcript property

> Remove the specified property from all transcripts along with their values.



## OpenAPI

````yaml /specs/analytics/openapi.public.json delete /v1/transcript-property/{propertyID}
openapi: 3.0.0
info:
  title: Analytics
  description: Voiceflow analytics service
  version: 1.0.0
  contact: {}
servers:
  - url: https://analytics-api.voiceflow.com
security: []
paths:
  /v1/transcript-property/{propertyID}:
    delete:
      tags:
        - Transcript property
        - Public-Docs
      summary: Delete transcript property
      description: >-
        Remove the specified property from all transcripts along with their
        values.
      operationId: TranscriptPropertyPublicController_deleteOne_v1
      parameters:
        - name: propertyID
          required: true
          in: path
          description: ID of the property to target.
          schema:
            description: ID of the property to target.
            type: string
      responses:
        '204':
          description: ''
      security:
        - auth: []
components:
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````